## vnc4 4.0

=== programs/Xserver/hw/xfree86/os-support/bsd/drm/kernel/mga/Makefile ===
# $FreeBSD$

KMOD= 	mga
NOMAN=	YES
SRCS=		mga_drv.c mga_state.c mga_warp.c mga_dma.c
SRCS+=	device_if.h bus_if.h pci_if.h opt_drm_linux.h
CFLAGS+=	${DEBUG_FLAGS} -I. -I..

@:
	ln -sf /sys @

machine:
	ln -sf /sys/i386/include machine

.if ${MACHINE_ARCH} == "i386"
# This line enables linux ioctl handling
# If you want support for this uncomment this line
#MGA_OPTS=     "\#define DRM_LINUX" 1
.endif

opt_drm_linux.h:
	touch opt_drm_linux.h
	echo $(MGA_OPTS) >> opt_drm_linux.h

.include <bsd.kmod.mk>

## vnc4 4.1.1+X4.3.0+t

=== debian/changelog ===
vnc4 (4.1.1+X4.3.0+t-1) unstable; urgency=high

  * Made the package a transitional package to ensure tigervnc is installed
    as a replacement.
    Closes: #811783, #491433, #578978, #656862, #512703.

 -- Ola Lundqvist <opal@debian.org>  Sat, 07 Jan 2017 23:33:39 +0100

vnc4 (4.1.1+X4.3.0-37.6) unstable; urgency=medium

  * Non-maintainer upload.
  * armhf_inw_inb.patch: Fix FTBFS on armel/armhf (from Ubuntu).
    Closes: #472188, #536544, #621409.

 -- dann frazier <dannf@debian.org>  Thu, 02 Apr 2015 13:34:56 -0400

vnc4 (4.1.1+X4.3.0-37.5) experimental; urgency=medium

  * Non-maintainer upload.
  * Reapply patch dropped from previous release to aide testing migration:
     - Strip vnc:// prefix from server name to support URIs (Closes: #769891)

 -- dann frazier <dannf@debian.org>  Mon, 24 Nov 2014 15:44:08 -0700

vnc4 (4.1.1+X4.3.0-37.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Temporarily revert fix for #769891 to qualify for jessie unblock.
  * powerpc-undef-pixel.patch: Fix FTBFS on powerpc (Closes: #769976).

 -- dann frazier <dannf@debian.org>  Mon, 24 Nov 2014 15:44:08 -0700

vnc4 (4.1.1+X4.3.0-37.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Strip vnc:// prefix from server name to support URIs (Closes: #769891)

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Mon, 17 Nov 2014 11:47:55 +0100

vnc4 (4.1.1+X4.3.0-37.2) unstable; urgency=medium

  * Non-maintainer upload.
  * arm64-support.patch: Add arm64 support (Closes: #769490)

 -- dann frazier <dannf@debian.org>  Fri, 14 Nov 2014 15:50:34 -0700

vnc4 (4.1.1+X4.3.0-37.1) unstable; urgency=low

  * Non-maintainer upload.
  * vnc4server.prerm: Correctly remove the vncconfig alternative.
    (Closes: #656217)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 30 Jan 2013 17:05:12 +0100

vnc4 (4.1.1+X4.3.0-37) unstable; urgency=low

  * Applied patch from Ben Armstrong <synrg@debian.org> that makes dpi
    to remain constant after RandR changes to geomentry, closes:
    #572678.

 -- Ola Lundqvist <opal@debian.org>  Wed, 10 Mar 2010 21:37:21 +0100

vnc4 (4.1.1+X4.3.0-36) unstable; urgency=low

  * Correction for use of uninitilized memory, closes: #509949. Thanks
    to Jö Fahlke <jorrit@jorrit.de> for the patch.

 -- Ola Lundqvist <opal@debian.org>  Sun, 21 Feb 2010 10:02:12 +0100

vnc4 (4.1.1+X4.3.0-35) unstable; urgency=low

  * Applied workaround for IPv6 bindonly issue. Thanks to Roman Mamedov
    <roman@rm.pp.ru> for the patch. Closes: #568630, #561619, #560137,
    #566758, #562169.

 -- Ola Lundqvist <opal@debian.org>  Sun, 07 Feb 2010 19:53:25 +0100

vnc4 (4.1.1+X4.3.0-34) unstable; urgency=low

  * Added support for xrandr, closes: #366493. Thanks to "Nikita V.
    Youshchenko" <yoush@debian.org> for the patch and to Ben Armstrong
    <synrg@sanctuary.nslug.ns.ca> for the updated vncserver script.

 -- Ola Lundqvist <opal@debian.org>  Thu, 19 Nov 2009 22:39:14 +0100

vnc4 (4.1.1+X4.3.0-33) unstable; urgency=low

  * Applying patch from Red Hat to solve problem with vncconfig crashing
    on amd64. Closes: #551278. Thanks to Michael Terry
    <michael.terry@canonical.com> for pointing to the patch.
  * Applied patch from Roman Mamedov <roman@rm.pp.ru> that adds IPv6
    support for the vncserver. Closes: #550789.
  * Fixed assertion by using suggested patch from ubuntu bug 202123.
    Closes: #282820.
  * Applied patch from Otavio Salvador <otavio@ossystems.com.br> to support
    XEmbed. Closes: #447723.

 -- Ola Lundqvist <opal@debian.org>  Thu, 19 Nov 2009 21:56:04 +0100

vnc4 (4.1.1+X4.3.0-32) unstable; urgency=low

  * Applying a patch from Mike Mammarella <debian@crystalorb.net> that
    adds IPv6 support for the xnvcviewer program. Closes: #342620.
  * Moved from x-dev to x11proto-core-dev build dependency. Closes:
    #515398.

 -- Ola Lundqvist <opal@debian.org>  Wed, 09 Sep 2009 19:56:47 +0200

vnc4 (4.1.1+X4.3.0-31) unstable; urgency=high

  * Correction for CVE-2008-4770. Arbitrary code execution via crafted
    RFB protocol data. Closes: #513531.

 -- Ola Lundqvist <opal@debian.org>  Fri, 30 Jan 2009 19:27:21 +0100

vnc4 (4.1.1+X4.3.0-30) unstable; urgency=low

  * Correction for seen build problem on alpha architecture. Do not
    include asm/pci.h and asm/page.h in case of alpha arch. Closes: #489475.

 -- Ola Lundqvist <opal@debian.org>  Sat, 12 Jul 2008 00:08:54 +0200

vnc4 (4.1.1+X4.3.0-29) unstable; urgency=low

  * Correction for mipsel architecture. Same problem as for hppa.
    Closes: #486104. This may affect mips architecture as well.

 -- Ola Lundqvist <opal@debian.org>  Fri, 13 Jun 2008 14:38:49 +0200

vnc4 (4.1.1+X4.3.0-28) unstable; urgency=low

  * Due to recent changes in build environment asm/page.h shall not be
    included for hppa architecture in
    unix/xc/programs/Xserver/hw/xfree86/fbdevhw/fbdevhw.c. Closes:
    #485958.

 -- Ola Lundqvist <opal@debian.org>  Fri, 13 Jun 2008 08:05:55 +0200

vnc4 (4.1.1+X4.3.0-27) unstable; urgency=low

  * Adds a workaround for a problem on sparc architecture. Now
    xf86Sbus.h include fb.h in before including fbio.h. Closes: #477659.
  * No longer include asm/pci.h on alpha in lnx.h file. The reason is that
    this file no longer exist on alpha architecture.

 -- Ola Lundqvist <opal@debian.org>  Thu, 12 Jun 2008 07:43:58 +0200

vnc4 (4.1.1+X4.3.0-26) unstable; urgency=low

  * Fix for FTBFS on s390, closes: #477232. It will no longer fail on those
    architectures that do not build the removed vnc.so.

 -- Ola Lundqvist <opal@debian.org>  Tue, 22 Apr 2008 08:03:16 +0200

vnc4 (4.1.1+X4.3.0-25) unstable; urgency=low

  * Added conflict on vnc4-common, closes: #477191.

 -- Ola Lundqvist <opal@debian.org>  Mon, 21 Apr 2008 22:01:07 +0200

vnc4 (4.1.1+X4.3.0-24) unstable; urgency=low

  * Correction of FTBFS with g++-4.3, closes: #474981.
    Thanks to Michael Meskes <meskes@debian.org> for the patch.

 -- Ola Lundqvist <opal@debian.org>  Sun, 20 Apr 2008 11:04:10 +0200

vnc4 (4.1.1+X4.3.0-23) unstable; urgency=low


=== debian/control ===
Source: vnc4
Section: x11
Priority: optional
Maintainer: Ola Lundqvist <opal@debian.org>
Build-Depends: debhelper (>= 9.0.0)
Standards-Version: 3.8.4

Package: vnc4server
Architecture: any
Depends: tigervnc-standalone-server
Description: transitional package
 This is a transitional package. It can safely be removed.

Package: xvnc4viewer
Section: net
Architecture: any
Depends: tigervnc-viewer
Description: transitional package
 This is a transitional package. It can safely be removed.

## vnc4 4.1.1+xorg4.3.0

=== unix/vncmkdepend/Makefile ===
SRCS = include.c main.c parse.c pr.c cppsetup.c ifparser.c
OBJS = $(SRCS:.c=.o)
vncmkdepend: $(OBJS)
	$(CC) $^ -o $@

=== unix/xc/extras/freetype2/Makefile ===
#
# FreeType 2 build system -- top-level Makefile
#


# Copyright 1996-2000 by
# David Turner, Robert Wilhelm, and Werner Lemberg.
#
# This file is part of the FreeType project, and may only be used, modified,
# and distributed under the terms of the FreeType project license,
# LICENSE.TXT.  By continuing to use, modify, or distribute this file you
# indicate that you have read the license and understand and accept it
# fully.


# Project names
#
PROJECT := freetype
PROJECT_TITLE := FreeType

USE_MODULES := 1

# The variable TOP holds the path to the topmost directory in the project
# engine source hierarchy.  If it is not defined, default it to `.'.
#
ifndef TOP
  TOP := .
endif

include $(TOP)/builds/toplevel.mk

# EOF

=== unix/xc/extras/FreeType/lib/arch/debugger/Makefile ===
# This file is part of the FreeType project.
#
# It builds the library and test programs for emx-gcc under OS/2 or under
# Unix with extra debugging capabilities.
#
# You will need GNU make.
#
# Use this file while in the lib directory with the following statement:
#
#   make -f arch/debugger/Makefile

ARCH = arch/debugger
FT_MAKEFILE = $(ARCH)/Makefile

CC = gcc

#CFLAGS = -W -Wall -O0 -g -ansi -pedantic -I$(ARCH) -I. -Iextend

CFLAGS = -Wall -O0 -g -ansi -I$(ARCH) -I. -Iextend

#CFLAGS = -Wall -ansi -pedantic -O2 -s -I$(ARCH) -I. -Iextend

# Detect OS/2 to add the flag -DOS2 when compiling ttinterp.c
#
ifdef OS2_SHELL
OS := OS2
RM := del
else
OS := UNIX    # Unix build otherwise
RM := rm -f
endif

TTFILE   = ./ttfile.c
TTMEMORY = ./ttmemory.c
TTMUTEX  = ./ttmutex.c

PORT = $(TTFILE) $(TTMEMORY) $(TTMUTEX)

SRC_X = extend/ftxgasp.c extend/ftxkern.c  extend/ftxpost.c \
        extend/ftxcmap.c extend/ftxwidth.c extend/ftxsbit.c \
        extend/ftxgsub.c extend/ftxgpos.c  extend/ftxopen.c \
        extend/ftxgdef.c
OBJS_X = $(SRC_X:.c=.o)

SRC_M = ttapi.c     ttcache.c   ttcalc.c   ttcmap.c  ttdebug.c \
        ttgload.c   ttinterp.c  ttload.c   ttobjs.c \
        ttraster.c  ttextend.c  $(PORT)
OBJS_M = $(SRC_M:.c=.o) $(OBJS_X)

SRC_S = $(ARCH)/freetype.c
OBJ_S = $(SRC_S:.c=.o)
OBJS_S = $(OBJ_S) $(OBJS_X)

# We place the library file in the ARCH directory, so that it doesn't
# interfere with the normal build.
#
LIBTTF_A = $(ARCH)/libttf.a

%.o: %.c
	$(CC) $(CFLAGS) -c -o $@ $< -D$(OS)

.PHONY: all debug clean distclean depend


all:
	$(MAKE) -f $(FT_MAKEFILE) LIB_FILES=OBJS_S $(LIBTTF_A)

debug:
	$(MAKE) -f $(FT_MAKEFILE) LIB_FILES=OBJS_M $(LIBTTF_A)

$(OBJ_S): $(SRC_S) $(SRC_M)

$(LIBTTF_A): $($(LIB_FILES))
	-$(RM) $@
	ar src $@ $^

clean:
ifdef OS2_SHELL
	-$(RM) $(subst /,\,$(LIBTTF_A))
	-$(RM) $(subst /,\,$(OBJS_S))
else
	-$(RM) $(LIBTTF_A)
	-$(RM) $(OBJS_S)
endif

distclean: clean
	-$(RM) dep.end

depend: $(SRC_S) $(SRC_M) $(SRC_X)
	$(CC) $(CFLAGS) -E -M $^ > dep.end

ifeq (dep.end,$(wildcard dep.end))
  include dep.end
endif

# end of Makefile

=== unix/xc/programs/Xserver/hw/xfree86/drivers/mga/util/Makefile ===
# $XFree86: xc/programs/Xserver/hw/xfree86/drivers/mga/util/Makefile,v 1.1 1997/04/12 14:11:28 hohndel Exp $



all:	stormdwg

stormdwg:	stormdwg.c
	cc -o stormdwg stormdwg.c

clean:
	rm -f *.o stormdwg

=== unix/xc/programs/Xserver/hw/xfree86/os-support/bsd/drm/kernel/tdfx/Makefile ===
# $FreeBSD$

.PATH:	${.CURDIR}/..
KMOD=	tdfx
NOMAN=	YES
SRCS=	tdfx_drv.c
SRCS+=	device_if.h bus_if.h pci_if.h opt_drm.h
CFLAGS+=	${DEBUG_FLAGS} -I. -I.. 

.if defined(DRM_DEBUG)
DRM_DEBUG_OPT= "\#define DRM_DEBUG 1"
.endif

.if !defined(DRM_NOLINUX)
DRM_LINUX_OPT= "\#define DRM_LINUX 1"
.endif

opt_drm.h:
	touch opt_drm.h
	echo $(DRM_DEBUG_OPT) >> opt_drm.h
	echo $(DRM_LINUX_OPT) >> opt_drm.h

.include <bsd.kmod.mk>

## vnc4 4.1.1+xorg4.3.0+t

=== debian/changelog ===
vnc4 (4.1.1+xorg4.3.0+t-1) disco; urgency=medium

  * Upload with Ubuntu's versioning, since Debian version is lower.

 -- Logan Rosen <logan@ubuntu.com>  Thu, 17 Jan 2019 21:04:04 -0500
